#version 150

out vec4 outColor;

in vec2 texCoord;

uniform int iTime;
uniform float t1scalex, t1scaley;
uniform float t2scale;

uniform sampler2D tex1, tex2;

void main(void)
{
	float time=iTime*0.0001;

	vec4 t1 = texture(tex1, texCoord + vec2(time * t1scalex, time*t1scaley));
	vec4 t2 = texture(tex2, texCoord + vec2(t1) * t2scale);

	outColor = t2;
}
